### Method

# Gimp ProcedureConfig save_metadata

since: 3.0

#### Declaration [src]

    void
    gimp_procedure_config_save_metadata (
      GimpProcedureConfig* config,
      GimpImage* exported_image,
      GFile* file
    )

#### Description [src]

Note: There is normally no need to call this function because it’s already called by `GimpExportProcedure` after the `run()` callback.

Only use this function if the `GimpMetadata` passed as argument of a `GimpExportProcedure`‘s `run()` method needs to be written at a specific point of the export, other than its end.

This function syncs back `config`‘s export properties to the metadata’s `GimpMetadataSaveFlags` and writes the metadata to `file`.

The metadata is only ever written once. If this function has been called explicitly, it will do nothing when called a second time at the end of the `run()` callback.

Available since: 3.0

#### Parameters

`exported_image`

  Type: `GimpImage`

  The image that was actually exported.

  The data is owned by the caller of the method.

`file`

  Type: `GFile`

  The file `exported_image` was written to.

  The data is owned by the caller of the method.